import request from '@/utils/request'
import state from '@/store'
import router from '@/router'

// 初始化 项目名称
export function initProject() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: 'PDM_项目名称_查询数据_总计划'
    }
  })
}

// 查询机床
export function initMachine(projectNum) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: 'PDM_机床名称_查询数据2',
      param: `项目流水号=${projectNum}`
    }
  })
}

// 查询项目详情
export function searchatabledata(projectNum, machineValue, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '项目工时统计_合同详情查询_工时综合查询',
      param: `项目流水号=${projectNum}&机床流水号=${machineValue}&PageCurrent=${pageCurrent}&PageSize=${pageSize}&PageCount=1111=int=output&ItemCount=1111=int=output`
    }
  })
}
// 查询项目详情
export function searchtabletotal(projectNum, machineValue) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '项目工时统计_合同详情查询_工时综合查询_合计',
      param: `项目流水号=${projectNum}&机床流水号=${machineValue}`
    }
  })
}
